Name:		i3status
Version:	2.13
Release:	%mkrel 2
Summary:	Generates a status line for dzen2 or wmii
Group:		Graphical desktop/Other
License:	MIT
URL:		http://i3wm.org/%{name}
Source0:	http://i3wm.org/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:	libiw-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	asciidoc
BuildRequires:	pkgconfig(libconfuse)
BuildRequires:	pkgconfig(libnl-genl-3.0)
# BuildRequires:  libAfterImage-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(yajl)
BuildRequires:	xmlto-notex

%description
i3status is a small program for filling dzen2 or wmii’s status bar via its 9P
pseudo filesystem.

%prep
%setup -q

%build
autoreconf -f -i
mkdir build
cd build
ln -s ../configure configure
%configure
%make_build

%install
%make_install -C build

mkdir -p %{buildroot}%{_sysconfdir}/
install -Dpm 0644 %{name}.conf %{buildroot}%{_sysconfdir}/%{name}.conf

%files
%doc LICENSE
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_mandir}/man*/%{name}*


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 2.13-2.mga8
+ Revision: 1539626
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 09 2019 shlomif <shlomif> 2.13-1.mga8
+ Revision: 1465414
- add BRs
- New version 2.13

* Sun Sep 23 2018 umeabot <umeabot> 2.12-2.mga7
+ Revision: 1298247
- Mageia 7 Mass Rebuild

* Wed May 16 2018 shlomif <shlomif> 2.12-1.mga7
+ Revision: 1229883
- New version 2.12

* Thu Dec 28 2017 wally <wally> 2.11-2.mga7
+ Revision: 1186596
- rebuild for new libconfuse

* Mon Jul 17 2017 shlomif <shlomif> 2.11-1.mga7
+ Revision: 1124480
- New version 2.11

* Fri Feb 19 2016 shlomif <shlomif> 2.10-1.mga6
+ Revision: 969935
- Add missing dep
- New version 2.10

* Thu Feb 11 2016 umeabot <umeabot> 2.9-2.mga6
+ Revision: 954338
- Mageia 6 Mass Rebuild

* Wed Jun 24 2015 shlomif <shlomif> 2.9-1.mga6
+ Revision: 841904
- New version 2.9

* Wed Oct 15 2014 umeabot <umeabot> 2.8-4.mga5
+ Revision: 742765
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.8-3.mga5
+ Revision: 680397
- Mageia 5 Mass Rebuild

* Mon Apr 07 2014 dams <dams> 2.8-2.mga5
+ Revision: 612715
- clean specfile to remove Fedora things

* Mon Apr 07 2014 shlomif <shlomif> 2.8-1.mga5
+ Revision: 612706
- Import i3status from Fedora


* Thu Feb 20 2014 Martin Preisler <mpreisle@redhat.com> - 2.8-1
- New upstream release

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Mar 09 2013 Simon Wesp <cassmodiah@fedoraproject.org> - 2.7-1
- New upstream release

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 27 2012 Martin Preisler <mpreisle@redhat.com> - 2.6-1
- Updated to 2.6

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 06 2012 Martin Preisler <mpreisle@redhat.com> - 2.5.1-1
- Updated to 2.5.1

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Apr 11 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 2.1-1
- New upstream release

* Sat Mar 20 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 2.0-4.20100320git
- Update to current git

* Sat Feb 05 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 2.0-2
- Some bugfixes (sync with upstream)

* Wed Dec 02 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2.0-1
- Package build for Fedora
